Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001010Core InformTablespublic2012-09-27 14:302014-05-07 07:34
ReporterVictor Gijsbers 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001010: Untitled table column provokes an internal error: registered meaning of two or more #s
DescriptionI have zero idea of what is going on here, but abject failures should never happen.
Minimal Source Text To Reproduce
"Abject failure" by Victor Gijsbers

Mathematical laboratory is a room.

A type is a kind of value. The types are defined by the Table of Types.

Table of Types
type			(rule)
living		the evil rule

This is the evil rule:
	say "Pretty evil, huh?".
Additional InformationThe full problem message:

Problem. An internal error has occurred: registered meaning of two or more #s. The current sentence is 'Table of Types type (rule) living the evil rule' ; the error was detected at line 430 of "Chapter 10/Excerpt Meanings.w". This should never happen, and I am now halting in abject failure.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0002079)
graham (administrator)
2013-06-02 08:46

Fixed. The column "(rule)" gives a kind in brackets, but no name before them! There's now a problem message specifically to cover this.

- Issue History
Date Modified Username Field Change
2012-09-27 14:30 Victor Gijsbers New Issue
2012-09-27 16:41 EmacsUser Status new => confirmed
2012-09-27 16:41 EmacsUser Summary Internal error: registered meaning of two or more #s => Untitled table column provokes an internal error: registered meaning of two or more #s
2012-09-27 16:41 EmacsUser Additional Information Updated View Revisions
2012-09-27 16:42 EmacsUser Additional Information Updated View Revisions
2013-06-02 08:46 graham Note Added: 0002079
2013-06-02 08:46 graham Status confirmed => resolved
2013-06-02 08:46 graham Resolution open => fixed
2013-06-02 08:46 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker